options:
    deployment:
        type: string
        default: production
        description: production, staging, or devel
    nagios_servicegroups:
        type: string
        default: ""
        description: >
            A comma-separated list of nagios servicegroups.
            If left empty, the default context from the subordinate will be used
    hostname:
        type: string
        default: login.ubuntu.com
        description: hostname of the service
    domain:
        type: string
        default: ubuntu.com
    build_label:
        type: string
        default: ""
        description: build_label to run
    asset_base_uri:
        type: string
        default: ""
        description: base uri to pull code assets from
    swift_auth_url:
        default: ""
        type: string
        description: >
            A keystone auth url. If you don't provide a code_assets_auth_token
            but do provide the swift_auth_url, the url will be used to create
            a token for each download.
    swift_credentials:
        default: ""
        type: string
        description: >
            Valid credentials for the swift account (keystone tenant), in the form
            "{\"auth\": {\"tenantName\": \"$OS_TENANT_NAME\", \"passwordCredentials\": {\"username\": \"$OS_USERNAME\", \"password\": \"$OS_PASSWORD\"}}}"
    secret_key:
        type: string
        default: ""
        description: Django secret key. Service will not run without this set.
    oops_config:
        type: string
        default: ""
        description: >
          A python dict representing an amqp oops_publisher, with the followinga
          fields; inherit_id, exchange_name, routing_key, vhost, host user,
          password
        content_type: python
    oops_password:
        type: string
        default: ""
        description: "secret for oops_config password section"
    oops_reporter:
        default: AS-PRODUCTION.SSO
        type: string
        description: ""
    captcha_private_key:
        type: string
        default: ""
        description: ""
    captcha_public_key:
        type: string
        default: ""
        description: ""
    http_captcha_proxy:
        type: string
        default: ""
        description: >
          http proxy for recaptcha api requests
    https_captcha_proxy:
        type: string
        default: ""
        description: >
          https proxy for recaptcha api requests
    statsd_hostport:
        type: string
        default: ""
        description: ""
    statsd_prefix:
        type: string
        default: ""
        description: ""
    readonly:
        type: boolean
        default: false
        description: Enable readonly mode
    combine:
        type: boolean
        default: True
        description: Use combo loading for static assets
    db_user:
        type: string
        default: ""
        description: ""
    db_password:
        type: string
        default: ""
        description: ""
    db_name:
        type: string
        default: "identityprovider"
        description: ""
    db_host:
        type: string
        default: "localhost"
        description: ""
    db_port:
        type: string
        default: "5432"
        description: ""
    embedded_trust_root:
        type: string
        default: ""
        description: ""
    email_hostport:
        type: string
        default: localhost:25
        description: smtp config
    email_user:
        type: string
        default: ""
        description: smtp config
    email_password:
        type: string
        default: ""
        description: smtp config
    email_use_tls:
        type: boolean
        default: False
        description: smtp config
    email_whitelist_regexp_list:
        type: string
        default: "[]"
        description: ""
        content_type: python
    throttle_whitelist_email_regexp_list:
        type: string
        default: "[]"
        description: python list of regexen strings
        content_type: python
    twofactor_failure_notification_emails:
        type: string
        default: "[]"
        description: python list of emial strings
        content_type: python
    twofactor_failure_notification_teams:
        type: string
        default: "[]"
        description: python list of launchpad teams
        content_type: python
    twofactor_mandatory_teams:
        type: string
        default: "[]"
        description: python list of launchpad teams
        content_type: python
    twofactor_service_ident:
        default: UbuntuSSO
        type: string
        description: ""
    openid_launchpad_staff_teams:
        type: string
        default: "[]"
        description: ""
        content_type: python
    openid_launchpad_teams_mapping:
        type: string
        default: "{}"
        description: ""
        content_type: python
    adminaudit_emails_recipients:
        type: string
        default: "[]"
        description: ""
        content_type: python
    google_analytics_id:
        type: string
        default: ""
        description: ""
    google_tag_manager_id:
        type: string
        default: ""
        description: ""
    saml_remotes:
        type: string
        default: ""
        description: >
            SAML config, python dict of dicts. e.g.
            {
                'salesforce': {
                     'saml_url': 'https://saml.example.com
                     'links': [],
                     'email_pattern': '',
                     'acs_domain': 'example.com',
                     'attributes': {},
                     'acs_name': 'ExampleSaml',
                     'processor': 'example.processor',
                     'acs_url': 'https://login.example.com',
                 },
            }
        content_type: python
    google_saml_cert:
        type: string
        default: ""
        description: SAML cert for google, in base64
    google_saml_key:
        type: string
        default: ""
        description: Key for SAML cert for google, in base64
    raven_dsn:
        type: string
        default: ""
        description: DSN setting for configuring raven client
    django_settings_module:
        type: string
        default: settings
        description: DJANGO_SETTINGS_MODULE
    crypto_sso_privkey:
        type: string
        default: ""
        description: Base64 encoded RSA own SSO private key.
    gpgservice_endpoint:
        type: string
        default: ""
        description: "The URL of the gpgservice endpoint."
    gpgservice_timeout:
        type: float
        default: 5.0
        description: "The timeout to use (in seconds) for all calls to gpgservice."
    lp_api_url:
        type: string
        default: ""
        description: "The URL of the LP API, including version."
    lp_api_consumer_key:
        type: string
        default: ""
        description: "The LP API OAuth consumer key."
    lp_api_token:
        type: string
        default: ""
        description: "The LP API OAuth token."
    lp_api_token_secret:
        type: string
        default: ""
        description: "The LP API OAuth token secret."
    user_authorized_key:
        type: string
        default: ""
        description: "SSH key authorized to connect as user (see user setting)"
    honeypot_field_name:
        type: string
        default: ""
        description: "Override the name of the honeypot middleware field."
    noreply_from_address:
        type: string
        default: "noreply@ubuntu.com"
        description: "Sender address for SSO-originated emails (password resets, email validation, etc)."
    openid_token_ttl:
        type: int
        default: 86400
        description: "Expire OpenID tokens from user session after a period of time (seconds)."
